ListServiceControlPolicies

1 - 1.1

get /v1/service-control-policies

Description

get service control policies list

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryorganization_id
required
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone
queryid
optional
서비스 제어 정책 ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryname
optional
서비스 제어 정책 이름
Example : MyPolicy
any of [array[string], string, null]None
querytype
optional
서비스 제어 정책 유형
Example : MANAGED
any of [enum (SYSTEM_MANAGED, USER_DEFINED), null]None
queryexclude_target_id
optional
제외 대상 ID
Example : 112c2fc8c29a449dbfa8681f8f1d7442
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceControlPolicyPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/service-control-policies?organization_id={organization_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "category": "SCP",
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "creator_name": "John Doe na",
            "description": "This is an example policy.",
            "document": {
                "Statement": [
                    {
                        "Action": [
                            "*"
                        ],
                        "Effect": "Allow",
                        "Resource": [
                            "*"
                        ],
                        "Sid": "statement1"
                    }
                ],
                "Version": "2024-07-01"
            },
            "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "modifier_name": "Alice",
            "name": "MyPolicy",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "source": "ORGANIZATION",
            "state": "ACTIVE",
            "type": "MANAGED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.0

get /v1/service-control-policies

Description

get service control policies list

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryorganization_id
required
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone
queryid
optional
서비스 제어 정책 ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryname
optional
서비스 제어 정책 이름
Example : MyPolicy
any of [array[string], string, null]None
querytype
optional
서비스 제어 정책 유형
Example : MANAGED
any of [enum (SYSTEM_MANAGED, USER_DEFINED), null]None
queryexclude_target_id
optional
제외 대상 ID
Example : 112c2fc8c29a449dbfa8681f8f1d7442
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceControlPolicyPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/service-control-policies?organization_id={organization_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "category": "SCP",
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "creator_name": "John Doe na",
            "description": "This is an example policy.",
            "document": {
                "Statement": [
                    {
                        "Action": [
                            "*"
                        ],
                        "Effect": "Allow",
                        "Resource": [
                            "*"
                        ],
                        "Sid": "statement1"
                    }
                ],
                "Version": "2024-07-01"
            },
            "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "modifier_name": "Alice",
            "name": "MyPolicy",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "source": "ORGANIZATION",
            "state": "ACTIVE",
            "type": "MANAGED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}